<?php

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

if (!function_exists('validus_widget_cms_countdown_register_controls')) {
    add_action('etc_widget_cms_countdown_register_controls', 'validus_widget_cms_countdown_register_controls', 10, 1);
    function validus_widget_cms_countdown_register_controls($widget)
    {
        // Content Tab Start

        // Countdown Section Start
        $widget->start_controls_section(
            'section_countdown',
            [
                'label' => esc_html__('Countdown', 'validus'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );
        $widget->add_control(
            'date',
            [
                'label'       => esc_html__( 'Date', 'validus' ),
                'type'        => \Elementor\Controls_Manager::TEXT,
                'label_block' => true,
                'description' => esc_html__( 'Set date count down (Date format: yy/mm/dd)', 'validus' ),
            ]
        );
        $widget->end_controls_section(); // Countdown Section End

        // Content Tab End

    }
}
