<?php

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

if (!function_exists('validus_widget_cms_language_switcher_register_controls')) {
    add_action('etc_widget_cms_language_switcher_register_controls', 'validus_widget_cms_language_switcher_register_controls', 10, 1);
    function validus_widget_cms_language_switcher_register_controls($widget)
    {
        // Content Tab Start

        // Content Section Start
        $widget->start_controls_section(
            'content_section',
            [
                'label' => esc_html__('Content', 'validus'),
                'tab'   => Controls_Manager::TAB_CONTENT,
            ]
        );
        $widget->add_control(
			'show_flag',
			[
				'label' => esc_html__( 'Show Flag', 'validus' ),
				'type' => Controls_Manager::SWITCHER,
				'default' => 'yes',
				'separator' => 'before',
			]
		);
        $widget->add_control(
			'show_name',
			[
				'label' => esc_html__( 'Show Name', 'validus' ),
				'type' => Controls_Manager::SWITCHER,
				'default' => 'yes',
				'separator' => 'before',
			]
		);
        $widget->end_controls_section();
        // Content Section End

    }
}
