( function( $ ) {
    /**
     * Galleries Load more
     * @param $scope The Widget wrapper element as a jQuery element
     * @param $ The jQuery alias
     */
    var WidgetCMSBoxCarouselHandler = function( $scope, $ ) {
        var arrows = $scope.find(".cms-box-carousel-button-arrow");
        arrows.find('i').hover(
            function() {
                $(this).parent().addClass('visible');
            }, function() {
                $(this).parent().removeClass('visible');
            }
        );
    };

    // Make sure you run this code under Elementor.
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/cms_box_carousel.default', WidgetCMSBoxCarouselHandler );
    } );
} )( jQuery );