( function( $ ) {
    /**
     * Galleries Load more
     * @param $scope The Widget wrapper element as a jQuery element
     * @param $ The jQuery alias
     */
    var WidgetCMSBoxTestimonialsHandler = function( $scope, $ ) {
        // cms testimonials
        var name = $scope.find(".testimonial-image:first-child").parent().find('.testimonial-name').html();
        var position = $scope.find(".testimonial-image:first-child").parent().find('.testimonial-position').html();
        var description = $scope.find(".testimonial-image:first-child").parent().find('.testimonial-description').html();
        $scope.find('.testimonial-people-info').find('.testimonial-name').html(name);
        $scope.find('.testimonial-people-info').find('.testimonial-position').html(position);
        $scope.find('.testimonial-desc').find('span').html(description);
        
        $scope.find(".testimonial-image").click(function() {
            $scope.find(".testimonial-image img").removeClass('border-2');
            $(this).find('img').addClass('border-2');
            var name = $(this).parent().find('.testimonial-name').html();
            var position = $(this).parent().find('.testimonial-position').html();
            var description = $(this).parent().find('.testimonial-description').html();
            $scope.find('.testimonial-people-info').find('.testimonial-name').html(name);
            $scope.find('.testimonial-people-info').find('.testimonial-position').html(position);
            $scope.find('.testimonial-desc').find('span').html(description);
        })
    };

    // Make sure you run this code under Elementor.
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/cms_box_testimonials.default', WidgetCMSBoxTestimonialsHandler );
    } );
} )( jQuery );