( function( $ ) {
    /**
     * Galleries Load more
     * @param $scope The Widget wrapper element as a jQuery element
     * @param $ The jQuery alias
     */
    var WidgetCMSContactFormHandler = function($scope, $) {
        $scope.find('.wpcf7-number').on('input', function() {
            //var result = !!$(this).val() && Math.abs($(this).val()) >= 0 ? Math.abs($(this).val()) : null;
            var result = $(this).val().replace(/-(?=\d)/,"");
            $(this).val(result);
        });

        $scope.find('.cms-post-carousel.transition .cms-carousel .cms-carousel-item').each(function() {
            $(this).on("mouseenter", function() {
                $(this).find('.cms-carousel-item-inner .item-body .item-content').slideDown();
            });
            $(this).on("mouseleave", function() {
                $(this).find('.cms-carousel-item-inner .item-body .item-content').slideUp();
            });

            e.preventDefault();
            return false;
        });
    };

    // Make sure you run this code under Elementor.
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/cms_contact_form.default', WidgetCMSContactFormHandler );
    } );
} )( jQuery );