<?php
$settings = $widget->get_settings_for_display();

if ( ! $settings['wp_gallery'] ) {
	return;
}

$ids = wp_list_pluck( $settings['wp_gallery'], 'id' );

$widget->add_render_attribute( 'shortcode', 'ids', implode( ',', $ids ) );
$widget->add_render_attribute( 'shortcode', 'size', $settings['thumbnail_size'] );

if ( $settings['gallery_columns'] ) {
	$widget->add_render_attribute( 'shortcode', 'columns', $settings['gallery_columns'] );
}

if ( $settings['gallery_link'] ) {
	$widget->add_render_attribute( 'shortcode', 'link', $settings['gallery_link'] );
}

if ( ! empty( $settings['gallery_rand'] ) ) {
	$widget->add_render_attribute( 'shortcode', 'orderby', $settings['gallery_rand'] );
}
?>
<div class="elementor-image-gallery">
	<?php
	add_filter( 'wp_get_attachment_link', [ $widget, 'add_lightbox_data_to_image_link' ], 10, 2 );

	echo do_shortcode( '[gallery ' . $widget->get_render_attribute_string( 'shortcode' ) . ']' );
	?>
</div>