<?php
$default_settings = [
	'cms_list' => '',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
?>
<?php if ( isset( $settings['cms_list'] ) && ! empty( $settings['cms_list'] ) && count( $settings['cms_list'] ) ): ?>
    <ul class="cms-list-wrap">
		<?php
		foreach ( $settings['cms_list'] as $key => $cms_list ):
			$title_key = $widget->get_repeater_setting_key( 'title', 'cms_list', $key );
			$widget->add_inline_editing_attributes( $title_key, 'none' );
		?>
            <li>
                <i class="cmsi-check"></i>
                <span <?php echo wp_kses_post( $widget->get_render_attribute_string( $title_key ) ); ?>><?php echo esc_html( $cms_list['title'] ) ?></span>
            </li>
		<?php endforeach; ?>
    </ul>
<?php endif; ?>
