<?php
$default_settings = [
	'menu'  => '',
	'style' => '',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
$html_id = etc_get_element_id( $settings );

if ( ! empty( $settings['title_link']['url'] ) ) {
	$widget->add_render_attribute( 'title_link', 'href', $settings['title_link']['url'] );

	if ( $settings['title_link']['is_external'] ) {
		$widget->add_render_attribute( 'title_link', 'target', '_blank' );
	}

	if ( $settings['title_link']['nofollow'] ) {
		$widget->add_render_attribute( 'title_link', 'rel', 'nofollow' );
	}
}

if ( ! empty( $menu ) ) : ?>
    <div class="cms-navigation-menu-wrap cms-navigation-menu-layout1 <?php if (! empty($settings['align'])) { echo wp_kses_post('text-'.$settings['align']); } ?>">
    	<?php
    		$widget->add_inline_editing_attributes( 'title', 'none' );
    		$widget->add_render_attribute( 'title', 'class', 'cms-navigation-menu-title text-19 font-500' );
    	?>
		<?php if(!empty($settings['title'])) { ?>
		<h3 <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>>
			<a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title_link' ) ); ?>>
				<?php echo wp_kses_post( $settings['title'] ); ?>
			</a>
        </h3>
		<?php } ?>
        <div id="<?php echo esc_attr( $html_id ); ?>" class="cms-navigation-menu">
			<?php wp_nav_menu( array(
					'fallback_cb' => '',
					'walker'      => class_exists( 'EFramework_Mega_Menu_Walker' ) ? new EFramework_Mega_Menu_Walker : '',
					'menu'        => wp_get_nav_menu_object( $menu ),
					'depth'       => 1
				)
			); ?>
        </div>
    </div>
<?php endif; ?>