<?php
$default_settings = [
	'menu'  => '',
	'style' => '',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
$html_id = etc_get_element_id( $settings );
if ( ! empty( $menu ) ) : ?>
    <div class="cms-navigation-menu-wrap cms-navigation-menu-layout5 bt-5 pt-41 pb-35 p-lr-50 p-lr-tablet-extra-20 bg-white cms-shadow-2 cms-divider divider-top divider-accent <?php if (! empty($settings['align'])) { echo wp_kses_post('text-'.$settings['align']); } ?>">
    	<?php
    		$widget->add_inline_editing_attributes( 'title', 'none' );
    		$widget->add_render_attribute( 'title', 'class', 'cms-navigation-menu-title mb-24 text-19 font-500' );
    	?>
		<?php if(!empty($settings['title'])) { ?>
		<h3 <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>>
			<?php echo wp_kses_post( $settings['title'] ); ?>
        </h3>
		<?php } ?>
        <div id="<?php echo esc_attr( $html_id ); ?>" class="cms-navigation-menu">
			<?php wp_nav_menu( array(
					'fallback_cb' => '',
					'walker'      => class_exists( 'EFramework_Mega_Menu_Walker' ) ? new EFramework_Mega_Menu_Walker : '',
					'menu'        => wp_get_nav_menu_object( $menu ),
                    'menu_class'  => 'menu d-flex flex-direction-column gap-10',
					'list_item_class'   => '',
					'link_class'   => 'btn btn-secondary font-600 text-15 text-white',
					'depth'       => 1
				)
			); ?>
        </div>
    </div>
<?php endif; ?>