<?php
$widget->add_render_attribute( 'name', 'class', 'cms-signature-name text-secondary' );
$widget->add_render_attribute( 'desc', 'class', 'cms-signature-desc' );

$widget->add_inline_editing_attributes( 'name' );
$widget->add_inline_editing_attributes( 'desc' );

$src = \Elementor\Group_Control_Image_Size::get_attachment_image_src( $settings['image']['id'], 'thumbnail', $settings );
if ($src == '') {
	$src = $settings['image']['url'];
}
$style = 'style="background-image:url('.$src.');background-size: cover;background-repeat: no-repeat;background-position: center;"';
?>
<div class="cms-signature-wrap cms-signature-layout1">
	<div class="cms-signature-inner" <?php echo wp_kses_post($style);?>>
	    <?php if ( ! empty( $settings['name'] ) ) : ?>
	        <h4 <?php echo wp_kses_post( $widget->get_render_attribute_string( 'name' ) ); ?>>
	            <?php echo wp_kses_post( $settings['name'] ); ?>
	        </h4>
	    <?php endif; ?>
	    <?php if ( ! empty( $settings['desc'] ) ) : ?>
	        <div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'desc' ) ); ?>>
	            <?php echo wp_kses_post( $settings['desc'] ); ?>
	        </div>
	    <?php endif; ?>
	</div>
</div>