<?php
// Silence is golden.
$fields_default = [
    'pagetitle' => validus_theme_show_hide_opts([
        'title'         => esc_html__('Page Title', 'validus'),
        'default'       => $default,
        'default_value' => $default_on,
        'required' => [
            'custom_ptitle',
            '=',
            'on'
        ]
    ]),
    'show_breadcrumb' => validus_theme_show_hide_opts([
        'title'         => esc_html__('Breadcrumbs', 'validus'),
        'default'       => $default,
        'default_value' => $default_on,
        'required'      => [
            'pagetitle',
            '=',
            'on'
        ]
    ]),
    'ptitle_align'  => validus_them_content_align_opts([
        'required'      => [
            'pagetitle',
            '=',
            'on'
        ]
    ]),
];
$fields = [];
if($custom_opts){
    $fields = [
        'custom_ptitle' => validus_theme_on_off_opts([
            'title'         => esc_html__('Custom Page Title','validus'),
            'default'       => false,
            'default_value' => 'off'
        ])
    ];
}
$args = [
    'title'  => esc_html__('Page Tile', 'validus'),
    'fields' => $fields + $fields_default
];
return $args;