<?php
// Silence is Golden
add_filter('tco_post_page_options_args', 'validus_post_options_args');
function validus_post_options_args(){
    $default       = true;
    $default_value = $default_on = $default_off = $default_width = '-1';
    $custom_opts   = true;

    $header     = include get_template_directory() . '/inc/post-type-options/args-page/header.php';
    $header_top = include get_template_directory() . '/inc/post-type-options/args-page/header-top.php';
    $page_title = include get_template_directory() . '/inc/theme-options/args/page-title.php';
    $footer     = include get_template_directory() . '/inc/theme-options/args/footer.php';

    $general = [
        'title' => esc_html__('General','validus'),
        'sections' => [
            'colors' => [
                'title' => esc_html__('General', 'validus'),
                'fields' => [
                    'padding_bottom' => [
			            'type' => Theme_Core_Options::TEXT_FIELD,
			            'title' => esc_html__('Padding Bottom', 'validus'),
			            'description' => esc_html__('Padding Bottom', 'validus'),
                    ],
                ]
            ]
        ]
    ];

    $icons = [
        'title'    => esc_html__('Icons', 'validus'),
        'sections' => [
            'icons'    => validus_icon_opts(),
        ],
    ];

    $content = [
        'title'  => esc_html__('Content', 'validus'),
        'fields' => [
            'icon' => [
                'type'  => Theme_Core_Options::ICON_PICKER_FIELD,
                'title' => __('Choose your icon', 'validus')
            ],
        ]
    ];

    $args = [  
        //'general'    => $general,
        'content'    => $content,
    ];

    return $args;
}