<?php
// Silence is Golden
add_filter('tco_service_page_options_args', 'validus_service_options_args');
function validus_service_options_args()
{
    $default       = true;
    $default_value = $default_on = $default_off = $default_width = '-1';
    $custom_opts   = true;
    
    $general = include get_template_directory() . '/inc/post-type-options/args-service/general.php';
    $header     = include get_template_directory() . '/inc/post-type-options/args-page/header.php';
	$page_title = include get_template_directory() . '/inc/theme-options/args/page-title.php';
    $footer     = include get_template_directory() . '/inc/theme-options/args/footer.php';
    $args = [
        'general'    => $general,
        'header'     => $header,
        'page-title' => $page_title,
        'footer'     => $footer,
    ];
    return $args;
}