<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @package Validus
 */
get_header('',array( 'class' => 'ovx-cl' ));//ovx-hd, display: flow-root;
	//if page is normal & is not built with elementor, show content with style
	if (!validus_is_built_with_elementor()) {
		if (class_exists('Woocommerce') && !is_shop() && !is_product() && !is_cart() && !is_checkout()) {
			echo '<div class="cms-main-content">';
		}
			while ( have_posts() ) {
				the_post();
				//if page is shop, just show outline only
				if (class_exists('Woocommerce') && !is_shop() && !is_product() && !is_cart() && !is_checkout()) {
					get_template_part( 'template-parts/content', 'page-normal' );
				} else {
					get_template_part( 'template-parts/content', 'page' );
				}
				if ( comments_open() || get_comments_number() ) {
					comments_template();
				}
			}
		if (class_exists('Woocommerce') && !is_shop() && !is_product() && !is_cart() && !is_checkout()) {
			echo '</div>';
		}
	} else {
		//show content only
		while ( have_posts() ) {
			the_post();
			get_template_part( 'template-parts/content', 'page' );
			if ( comments_open() || get_comments_number() ) {
				comments_template();
			}
		}
	}
get_footer();