<?php
/**
 * Template part for displaying the primary menu of the site
 */
$menu_classes = 'primary-menu';
printf('%s', $args['before']);
if ( has_nav_menu( 'primary' ) ) {
	wp_nav_menu( array(
		'theme_location' => 'primary',
		'container'      => '',
		'menu_id'        => 'mastmenu',
		'menu_class'     => $menu_classes,
		'walker'         => class_exists( 'EFramework_Mega_Menu_Walker' ) ? new EFramework_Mega_Menu_Walker : '',
	) );
} else { printf(
        '<ul class="primary-menu primary-menu-not-set"><li><a href="%1$s">%2$s</a></li></ul>',
        esc_url( admin_url( 'nav-menus.php' ) ),
        esc_html__( 'Create New Menu', 'validus' )
    );
}
printf('%s', $args['after']);