<?php
/**
 * Custom Woocommerce shop page.
 */
get_header();
    //validus_content_has_sidebar_open('sidebar-product');

    if ( is_singular( 'product' ) ) {

        while ( have_posts() ) :
            the_post();
            wc_get_template_part( 'content', 'single-product' );
        endwhile;

    } else {
        validus_content_has_sidebar_open('sidebar-product');

        echo "<div class='woocommerce-content'>";

        woocommerce_content();

        echo '</div>';

        validus_content_has_sidebar_close('sidebar-product');

        if(validus_get_opt('sidebar_on', 'off') === 'on' && is_active_sidebar('sidebar-product')) {
            $sidebar_product = validus_get_opt('sidebar_shop', 'order-last');
        ?>
            <div id="cms-sidebar" class="<?php echo esc_attr($sidebar_product); ?> flex-basic">
                <div class="fix-search">
                    <?php dynamic_sidebar('sidebar-product'); ?>
                </div>
            </div>
        <?php
        }
    }

	//validus_content_has_sidebar_close('sidebar-product');
get_footer();


