( function( $ ) {
    /**
     * CMS Page Title
     * @param $scope The Widget wrapper element as a jQuery element
     * @param $ The jQuery alias
     */

    var WidgetCMSPageTitleHandler = function( $scope, $ ) {
        var tag = $scope.find(".cms-page-title-wrap");
        
        var ptt = $scope.find(".w-ptt-pt");
        var tagspace = $scope.find(".cms-page-title-top-space");
        var taglast = $scope.find(".cms-page-title-top-last");

        if ( $(".header-transparent").length ) {
            tag.each(function() {
                setInterval(function() {
                    var height = $('.header-transparent').height();

                    var top = tag.css('padding-top');
                    top = parseInt(top);

                    var tag_space = tagspace.css('padding-top');
                    tag_space = parseInt(tag_space);

                    var tag_last = taglast.css('padding-top');
                    tag_last = parseInt(tag_last);

                    if(tag_space != tag_last || tag_space == 0 || top < tag_space) {
                        tag.css('padding-top', parseInt(tag_space + height));
                    }

                    taglast.css('padding-top',tag_space);
                }, 1000);
            });
        }

        $(window).on('load', function () {
            //Fix position fixed header-transparent
            //Page load
            if ( $(".header-transparent").length ) {
                var height = $('.header-transparent').height();

                var tag_space = tagspace.css('padding-top');
                tag_space = parseInt(tag_space);
                tag.css('padding-top', parseInt(tag_space + height));
            }
        });
    
        $(window).on('resize', function () {
            //Fix position fixed header-transparent
            if ( $(".header-transparent").length ) {
                var height = $('.header-transparent').height();

                var tag_space = tagspace.css('padding-top');
                tag_space = parseInt(tag_space);
                tag.css('padding-top', parseInt(tag_space + height));
            }
        });
    
        $(window).on( 'scroll', function() {
            if ( $(".header-transparent").length ) {
                var height = $('.header-transparent').height();

                var tag_space = tagspace.css('padding-top');
                tag_space = parseInt(tag_space);
                tag.css('padding-top', parseInt(tag_space + height));
            }
        });
    };

    // Make sure you run this code under Elementor.
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/cms_page_title.default', WidgetCMSPageTitleHandler );
    } );
} )( jQuery );