( function( $ ) {
    /**
     * Galleries Load more
     * @param $scope The Widget wrapper element as a jQuery element
     * @param $ The jQuery alias
     */
    var WidgetCMSVideoHandler = function( $scope, $ ) {
        var video = $scope.find(".cms-video-wrap.elementor-open-inline");
        video.find('.elementor-custom-embed-image-overlay').on('click',  function(e) { // click event for load more
            $(this).hide();
            video.find('.cms-video-content').hide();
            $scope.find(".cms-video-play iframe")[0].src += "&autoplay=1";

            e.preventDefault();
            return false;
        });

        video.find('.elementor-custom-embed-play').on('click',  function(e) { // click event for load more
            $(this).hide();
            video.find('.elementor-custom-embed-image-overlay').hide();
            video.find('.cms-video-content').hide();
            $scope.find(".cms-video-play iframe")[0].src += "&autoplay=1";

            var content = $scope.find("#content-video").html();
            $('.dialog-lightbox-message').html(content);

            e.preventDefault();
            return false;
        });
    };

    // Make sure you run this code under Elementor.
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/cms_video.default', WidgetCMSVideoHandler );
    } );
} )( jQuery );