<?php
use Elementor\Icons_Manager;

$widget->add_render_attribute( 'wrap', 'class', 'cms-anchor-wrap' );
$widget->add_inline_editing_attributes( 'title' );
$title       = $widget->get_setting('title', '');
$widget->add_render_attribute('anchor', 'href', '#'.$widget->get_setting('anchor_id', ''));
?>
<div <?php echo wp_kses_post($widget->get_render_attribute_string( 'wrap' )); ?>>
	
	<a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?> <?php echo wp_kses_post( $widget->get_render_attribute_string( 'anchor' ) ); ?>>
		<div class="cms-fancy-box-icon">
			<?php \Elementor\Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true' ] ); ?>
        </div>
		<?php echo wp_kses_post( $settings['title'] ); ?>
	</a>
</div>