<?php
use Elementor\Icons_Manager;

$widget->add_render_attribute( 'wrap', 'class', 'cms-anchor-wrap cms-anchor-layout2' );
$widget->add_render_attribute( 'title_class', 'class', 'd-flex gap-20 align-items-center text-14 font-700 cms-scroll-top' );
$widget->add_render_attribute( 'title', 'class', 'cms-anchor-title' );
$widget->add_inline_editing_attributes( 'title' );
$title       = $widget->get_setting('title', '');
$widget->add_render_attribute('anchor', 'href', '#'.$widget->get_setting('anchor_id', ''));
?>
<div <?php echo wp_kses_post($widget->get_render_attribute_string( 'wrap' )); ?>>
	
	<a <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title_class' ) ); ?> <?php echo wp_kses_post( $widget->get_render_attribute_string( 'anchor' ) ); ?>>
        <span <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>><?php echo wp_kses_post( $settings['title'] ); ?></span>
        <div class="cms-anchor-icon">
			<?php \Elementor\Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true', 'class' => 'text-primary' ] ); ?>
        </div>
	</a>
</div>