<?php
$default_settings = [
	'ctf7_slug'          => '',
	// 'style'            => '',
	'style_box'        => '',
	'ctf7_title'       => '',
	'ctf7_description' => '',
];
$settings         = array_merge($default_settings, $settings);
// echo '<pre>';
// var_dump($settings);
// echo '</pre>';
extract($settings);

$ctf7 = null;
$args = array(
	'name' => $ctf7_slug,
	'post_type' => 'wpcf7_contact_form',
	'post_status' => 'publish',
	'posts_per_page' => 1
);
$my_posts = get_posts( $args );
if( $my_posts ) {
	$ctf7 = $my_posts[0];
}
$html_id = etc_get_element_id($settings);

$background = $settings['background'] ? $settings['background'] : '';

$widget->add_render_attribute( 'wrap', 'id', esc_attr($html_id));
$widget->add_render_attribute( 'wrap', 'class', 'cms-contact-form-wrap cms-contact-form-layout2 style1 bg-' . $background);
//$widget->add_inline_editing_attributes( 'wrap' );

if (class_exists('WPCF7') && !empty($ctf7) && $ctf7->ID) : ?>
	<div <?php echo wp_kses_post( $widget->get_render_attribute_string( 'wrap' ) );?>>
		<div class="cms-contact-form-inner">
			<?php if (!empty($ctf7_title) || !empty($ctf7_description)) : ?>
				<div class="cms-contact-form-meta">
					<h3><?php echo esc_attr($ctf7_title); ?></h3>
					<p><?php echo esc_attr($ctf7_description); ?></p>
				</div>
			<?php endif; ?>
			<?php echo do_shortcode('[contact-form-7 id="' . esc_attr($ctf7->ID) . '"]'); ?>
		</div>
	</div>
<?php endif; ?>