<?php
$settings   = $widget->get_settings_for_display();
$id         = $widget->get_id();

$widget->add_render_attribute( 'htmailchimp_attr', 'class', 'ht-mailchimp-form-wrapper ht-mailchimp-form-layout3' );

$widget->add_render_attribute( 'shortcode', 'id', $settings['mail_chimp_form_id'] );
$shortcode = sprintf( '[mc4wp_form %s]', $widget->get_render_attribute_string( 'shortcode' ) );

$logo     = validus_get_opts( 'logo', array( 
	'id' => '',
	'url' => get_template_directory_uri() . '/assets/images/logo/logo.png',
), 'header_custom');
$logo_url = $logo['url'];
?>
    <div <?php echo wp_kses_post($widget->get_render_attribute_string('htmailchimp_attr')); ?>>
        <div class="mc4wp-logo"><img src="<?php echo esc_html($logo_url);?>" /></div>
        <div class="htformmailchimp-input-box">
            <?php
            if( !empty( $settings['mail_chimp_form_id'] ) ){
                echo do_shortcode( $shortcode ); 
            } else {
                echo '<div class="form_no_select">' .__('Please Enter the Mail chimp form id.','validus'). '</div>';
            }
            ?>
        </div>
    </div>