<?php
$default_settings = [
	'menu'  => '',
	'style' => '',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
$html_id = etc_get_element_id( $settings );

$widget->add_render_attribute('wrap',[
    'class' => [
		'cms-navigation-menu-wrap cms-navigation-menu cms-navigation-menu-layout2',
        'text-'.$widget->get_setting('align_layout2',''),
        'text-tablet-extra-'.$widget->get_setting('align_layout2_laptop',''),//tablet extra
        'text-tablet-landscape-'.$widget->get_setting('align_layout2_tablet_extra',''),//tablet landscape
        'text-tablet-'.$widget->get_setting('align_layout2_tablet',''),
        'text-mobile-extra-'.$widget->get_setting('align_layout2_mobile_extra',''),
        'text-mobile-'.$widget->get_setting('align_layout2_mobile',''),
    ],
]);

//cms-navigation-menu-wrap cms-navigation-menu cms-navigation-menu-layout2 <?php if (! empty($settings['align'])) { echo wp_kses_post('text-'.$settings['align']); }
//<?php echo wp_kses_post($widget->get_render_attribute_string('wrap')); 

if ( ! empty( $menu ) ) : ?>
    <div <?php echo wp_kses_post($widget->get_render_attribute_string('wrap')); ?>>
    	<?php
    		$widget->add_inline_editing_attributes( 'title', 'none' );
    		$widget->add_render_attribute( 'title', 'class', 'cms-navigation-menu-title' );
    	?>
        <div id="<?php echo esc_attr( $html_id ); ?>" class="cms-navigation-menu">
			<ul id="menu-footer-menu" class="menu">
			<?php 
			// Get wordpress menu and do a custom output
			$menus = wp_get_nav_menu_items( $menu); // Where menu1 can be ID, slug or title
			foreach($menus as $key => $item) {
				echo '<li class="menu-item menu-item-type-post_type menu-item-object-page"><a href="' . $item->url . '">' . $item->title . '</a></li>';
				if($key < (count($menus) - 1)) {
					echo '<li>-</li>';
				}
			}
			?>
			</ul>
        </div>
    </div>
<?php endif; ?>