<?php
$default_settings = [
	'menu'  => '',
	'style' => '',
];
$settings         = array_merge( $default_settings, $settings );
extract( $settings );
$html_id = etc_get_element_id( $settings );
$text_color = isset($settings['text_color']) ? $settings['text_color'] : '';
if ( ! empty( $menu ) ) : ?>
    <div class="cms-navigation-menu-wrap cms-navigation-menu-layout4 d-flex <?php if (! empty($settings['align'])) { echo wp_kses_post('justify-content-'.$settings['align'].' text-'.$settings['align']); } ?>">
    	<?php
    		$widget->add_inline_editing_attributes( 'title', 'none' );
    		$widget->add_render_attribute( 'title', 'class', 'cms-navigation-menu-title text-19 font-500' );
    	?>
		<?php if(!empty($settings['title'])) { ?>
		<h3 <?php echo wp_kses_post( $widget->get_render_attribute_string( 'title' ) ); ?>>
			<?php echo wp_kses_post( $settings['title'] ); ?>
        </h3>
		<?php } ?>
        <div id="<?php echo esc_attr( $html_id ); ?>" class="cms-navigation-menu <?php echo esc_html($text_color);?>">
			<?php wp_nav_menu( array(
					'fallback_cb' => '',
					'walker'      => class_exists( 'EFramework_Mega_Menu_Walker' ) ? new EFramework_Mega_Menu_Walker : '',
					'menu'        => wp_get_nav_menu_object( $menu ),
					'link_class'   => $text_color,
					'depth'       => 1
				)
			); ?>
        </div>
    </div>
<?php endif; ?>