<?php
// Silence is golden.
$args = [
    'title' => esc_html__('General','validus'),
    'sections' => [
        'colors' => [
            'title' => esc_html__('Colors', 'validus'),
            'fields' => [
                'primary_color' => [
                    'type' => Theme_Core_Options::COLOR_FIELD,
                    'title' => esc_html__('Primary Color', 'validus')
                ],
                'secondary_color' => [
                    'type' => Theme_Core_Options::COLOR_FIELD,
                    'title' => esc_html__('Secondary Color', 'validus')
                ],
                'link_color' => [
                    'type' => Theme_Core_Options::LINK_COLOR_FIELD,
                    'title' => esc_html__('Link Color', 'validus')
                ]
            ]
        ],
        'typos' => validus_typography_opts(),
        'tools' => [
            'title'  => esc_html__('Tools', 'validus'),
            'fields' => [
                'show_page_loading' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Enable Page Loading', 'validus'),
                    'subtitle' => esc_html__('Enable page loading effect when you load site.', 'validus'),
                ],
                'back_totop_on' => [
                    'type'     => Theme_Core_Options::SWITCH_FIELD,
                    'title'    => esc_html__('Back to Top Button', 'validus'),
                    'subtitle' => esc_html__('Show back to top button when scrolled down.', 'validus'),
                    'default'  => 1,
                ],
                'dev_mode' => [
                    'type'        => Theme_Core_Options::SWITCH_FIELD,
                    'title'       => esc_html__('Dev Mode (not recommended)', 'validus'),
                    'description' => esc_html__('no minimize , generate css over time...', 'validus'),
                ],
            ],
        ]
    ]
];
return $args;