<?php
// Silence is golden.
$args = [
    'title'    => esc_html__('Sidebar', 'validus'),
    'sections' => [
        'general' => [
            'title' => esc_html__('General', 'validus'),
            'fields' => [
                'sidebar_on' => validus_theme_show_hide_opts([
                    'title'    => esc_html__('Show Sidebar', 'validus'),
                    'subtitle' => esc_html__('Show/Hide sidebar on single post & archive page. You have to add widgets on sidebar first!', 'validus')
                ]),
                'sidebar_pos' => [
                    'type'    => Theme_Core_Options::BUTTON_SET_FIELD,
                    'title'   => esc_html__('Sidebar Position','validus'),
                    'options' => [
                        'order-first' => esc_html__('Left','validus'),
                        'order-last'  => esc_html__('Right','validus')
                    ],
                    'default' => 'order-last',
                    'required' => [
                        'sidebar_on', '=', 'on'
                    ]
                ]
            ]
        ]
    ]
];
return $args;