<?php
/**
 * Template part for displaying page content in page.php
 *
 * @package Validus
 */
//the_content();
//validus_entry_link_pages();

// validus custom
validus_entry_thumbnail();

global $post;
$post_tags_on = validus_get_opt('post_tags_on', true);
$tags_list = wp_get_post_tags($post->ID,['orderby' => 'id', 'asc']);
$align = ($post_tags_on && $tags_list && validus_get_opt('post_social_share_on', false)) ? 'between' : 'end';
$align = ($post_tags_on && !validus_get_opt('post_social_share_on', false)) ? 'start' : $align;
?>
<div class="cms-content cms-shadow-3">
	<div class="content clearfix">
		<?php 
		the_content(); 
		validus_entry_link_pages();
		?>
	</div>

	<div class="tags-share d-flex gap justify-content-<?php echo esc_html($align);?> empty-none" style="--gap:30px;--gap-mobile:30px;"><?php 
		if ($post_tags_on) {
			validus_entry_tags();
		}
		if(validus_get_opt('post_social_share_on', false)) validus_socials_share_default();
	?></div>
</div>